Summary: A Minesweeper game for the X Window System.
Name: xdemineur
Version: 2.1.1
Release: 4
Group: Amusements/Games
Copyright: MIT
Source: ftp://ftp.x.org/contrib/games/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root

%description
Xdemineur is a Minesweeper game for the X Window System.  The object
of the game is to find the mines and place little flags on them,
before you stumble across a mine and get blown up.

%prep
%setup -q

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games

make DESTDIR=$RPM_BUILD_ROOT install install.man

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xdemineur.desktop <<EOF
[Desktop Entry]
Name=xdemineur
Comment=Minesweeper
Exec=xdemineur
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/xdemineur
/usr/X11R6/man/man1/xdemineur.*
%config /etc/X11/applnk/Games/xdemineur.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- use %%{_tmppath}

* Thu Jun 08 2000 Than Ngo <than@redhat.de>
- remove wmconfig, add xdemineur.desktop

* Fri May 19 2000 Ngo Than <than@redhat.de>
- update xdemineur-2.1.1 for powertools 7.0
- gzip manpage

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
